Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
hotdealsgallery.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $hotDealColumns = $ini->variable( "eZTradeMain", "HotDealColumns" )
| $hotDealImageWidth = $ini->variable( "eZTradeMain", "HotDealImageWidth" )
| $hotDealImageHeight = $ini->variable( "eZTradeMain", "HotDealImageHeight" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "enabled" ? true : false
| $ThumbnailImageWidth = $ini->variable( "eZTradeMain", "ThumbnailImageWidth" )
| $ThumbnailImageHeight = $ini->variable( "eZTradeMain", "ThumbnailImageHeight" )
| $ShowPrice = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $GenerateStaticPage = true
| $PriceGroup = 0
| $user =& eZUser::currentUser()
| $t
if(isset( $HotDealsPage)) | else
| $product = new eZProduct()
| $productList =& $product->hotDealProducts( $MaxHotDeals )
| $locale = new eZLocale( $Language )
| $i =0
| $trEnded = false
| $groupi = 0
foreach( $productList as $product) | $TotalTypes = count( $productList )

## Variable Documentation

## ◆ $GenerateStaticPage

$GenerateStaticPage = true

Definition at line 57 of file hotdealsgallery.php.

## ◆ $groupi

$groupi = 0

Definition at line 142 of file hotdealsgallery.php.

## ◆ $hotDealColumns

$hotDealColumns = $ini->variable( "eZTradeMain", "HotDealColumns" )

Definition at line 40 of file hotdealsgallery.php.

## ◆ $hotDealImageHeight

$hotDealImageHeight = $ini->variable( "eZTradeMain", "HotDealImageHeight" )

Definition at line 42 of file hotdealsgallery.php.

## ◆ $hotDealImageWidth

$hotDealImageWidth = $ini->variable( "eZTradeMain", "HotDealImageWidth" )

Definition at line 41 of file hotdealsgallery.php.

## ◆ $i

$i =0

Definition at line 139 of file hotdealsgallery.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 37 of file hotdealsgallery.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 39 of file hotdealsgallery.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 138 of file hotdealsgallery.php.

## ◆ $PriceGroup

$PriceGroup = 0

Definition at line 58 of file hotdealsgallery.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 44 of file hotdealsgallery.php.

## ◆ $product

$product = new eZProduct()

Definition at line 127 of file hotdealsgallery.php.

## ◆ $productList

$productList =& $product->hotDealProducts( $MaxHotDeals )

Definition at line 136 of file hotdealsgallery.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 54 of file hotdealsgallery.php.

## ◆ $RequireUserLogin

$RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "enabled" ? true : false

Definition at line 45 of file hotdealsgallery.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 53 of file hotdealsgallery.php.

## ◆ $ShowPrice

$ShowPrice = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 50 of file hotdealsgallery.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 43 of file hotdealsgallery.php.

## ◆ $SimpleOptionHeaders

$SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true"

Definition at line 52 of file hotdealsgallery.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "hotdealsgallery.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: hotdealsgallery.php:39
$ini
$ini
Definition: hotdealsgallery.php:37

Definition at line 74 of file hotdealsgallery.php.

## ◆ $ThumbnailImageHeight

$ThumbnailImageHeight = $ini->variable( "eZTradeMain", "ThumbnailImageHeight" )

Definition at line 48 of file hotdealsgallery.php.

## ◆ $ThumbnailImageWidth

$ThumbnailImageWidth = $ini->variable( "eZTradeMain", "ThumbnailImageWidth" )

Definition at line 47 of file hotdealsgallery.php.

## ◆ $TotalTypes

foreach ($productList as $product) $TotalTypes = count( $productList )

Definition at line 403 of file hotdealsgallery.php.

## ◆ $trEnded

$trEnded = false

Definition at line 140 of file hotdealsgallery.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 60 of file hotdealsgallery.php.

## ◆ else

if (count($productList) > 0) else

Initial value:
{
if ( !isset( $HotDealsTemplate ) )
$HotDealsTemplate = "hotdealsgallery.tpl"

Definition at line 81 of file hotdealsgallery.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.